<?php
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

echo'<div class="razd"><B>Форум</B></div>';
$str = file("../data/forum/razd.dat");
$nom = count($str);
if($nom == "0"){echo'Разделы ещё не созданы<br>';}

$i = 0;
while($i < $nom)
{
   $str[$i] = trim($str[$i]);
   $cfg_razd = file_get_contents("../data/forum/$str[$i].razd");
   $cfg_razd = explode("<||>",$cfg_razd);//название раздела<||>кол тем<||>кол сообщ<||>посл тема<||>автор сообщ<||>ид темы посл темы<||>
   if($fill_vid == "on")
   {
      echo'<div class="ramk">'; 
   }
   echo'<div class="sob">'.$img_forum_razd.'<a href="temes.php?r='.$str[$i].'&amp;'.SID.'">'.$cfg_razd[0].'</a> ['.$cfg_razd[1].'/'.$cfg_razd[2].']</div>';
   if($fill_vid == "on")
   {
      if($cfg_razd[3] == "")
      {
         echo'Тема: Темы ещё не созданы<br>';
         echo'Сообщение: Нет<br>';
      }else
      {
         echo'Тема: <a href="topik.php?t='.$cfg_razd[5].'&amp;'.SID.'">'.$cfg_razd[3].'</a><br>';
         echo'Сообщение: <a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$cfg_razd[4].'&amp;'.SID.'"><B>'.$cfg_razd[4].'</B></a><br>';
      }
      echo'</div>';
   }
   ++$i;
}
echo'<hr size="2" width="100%">';

echo'Всего сообщений (<B>'.file_get_contents("../data/forum/count_post.dat").'</B>)<br>';
echo'Всего тем (<B>'.file_get_contents("../data/forum/count_temes.dat").'</B>)<br>';
echo'<a href="search.php?param_member=new&amp;'.SID.'">Популярные темы</a><br>';
echo'<a href="rules.php?'.SID.'">Правила форума</a><br>';
if($status=="admin")
{
   echo'<a href="addrazd.php?param_member=index&amp;'.SID.'">Управление</a><br>'; 
}
echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>